package nc.vo.trn.regmng;

import nc.vo.hi.psndoc.PsndocDefVO;
import nc.vo.hr.infoset.CustomInfoSetVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFLiteralDate;

public class Glbdef2VO extends CustomInfoSetVO {
	
	public static final String	PK_HI_REGAPPLY	= "pk_hi_regapply";
	public static final String	PK_PSNDOC_SUB	= "pk_psndoc_sub";
	public static final String	RECORDNUM		= "recordnum";
	public static final String	LASTFLAG		= "lastflag";
	public static final String	ENDDATE			= "enddate";
	public static final String	BEGINDATE		= "begindate";

	private String				pk_hi_regapply;
	private String				pk_psndoc_sub;
	private UFLiteralDate		begindate;
	private UFLiteralDate		enddate;
	private Integer				recordnum;
	private UFBoolean			lastflag;
	
	public String getTableName()
	{
		return "hi_regapply_glbdef2";
	}

	/**************************************************************
	 * Created on 2012-12-3 13:19:30<br>
	 * 
	 * @author Rocex Wang
	 **************************************************************/
	public Glbdef2VO()
	{
		super();
	}

	/**************************************************************
	 * {@inheritDoc}<br>
	 * Created on 2012-12-10 15:41:16<br>
	 * 
	 * @see nc.vo.hr.infoset.CustomInfoSetVO#getMdPath()
	 * @author Rocex Wang
	 **************************************************************/
	@Override
	protected String getMdPath()
	{
		return "hrtrn";
	}	
	
	public String getPKFieldName()
	{
		return "pk_psndoc_sub";
	}
	
	@Override
	public String getParentPKFieldName() {
		return "pk_hi_regapply";
	}

	public String getPk_hi_regapply() {
		return pk_hi_regapply;
	}

	public void setPk_hi_regapply(String pk_hi_regapply) {
		this.pk_hi_regapply = pk_hi_regapply;
	}

	public String getPk_psndoc_sub() {
		return pk_psndoc_sub;
	}

	public void setPk_psndoc_sub(String pk_psndoc_sub) {
		this.pk_psndoc_sub = pk_psndoc_sub;
	}

	public UFLiteralDate getBegindate() {
		return begindate;
	}

	public void setBegindate(UFLiteralDate begindate) {
		this.begindate = begindate;
	}

	public UFLiteralDate getEnddate() {
		return enddate;
	}

	public void setEnddate(UFLiteralDate enddate) {
		this.enddate = enddate;
	}

	public Integer getRecordnum() {
		return recordnum;
	}

	public void setRecordnum(Integer recordnum) {
		this.recordnum = recordnum;
	}

	public UFBoolean getLastflag() {
		return lastflag;
	}

	public void setLastflag(UFBoolean lastflag) {
		this.lastflag = lastflag;
	}
}
